Subject: Re: bug#15925: 24.3.50; error when customizing whitespace-display-mappings

From: Mauro Aranda <[email-masked]>
Date: Fri, 25 Sep 2020 08:10:17 -0300

Lars Ingebrigtsen <[email-masked]> writes:

> Mauro Aranda <[email-masked]> writes:
>
>> Those are good points.  A couple of questions:
>> - Do we change the display for the space character as well?
>>
>> We could display it as ?\s, or leave it as " ", which makes the
>> character widget appear empty, when it's not.
>>
>> - What do we do with the other escape sequences, like ?\r and ?\f?
>>
>> Right now, we display those as ^M and ^L respectively.  If we keep this
>> representation, maybe somebody will feel there is some inconsistency,
>> because some characters we display as ^M, while others as \n.  Perhaps
>> is not a big deal, though.
>
> We should definitely strive for consistency here...  \r and \f for ^M
> and ^L is fine by me (although I guess more people are familiar with ^L
> than \f).
>
> As for space...  Hm.  It's unfortunate that it's displayed just as a
> blank, so displaying it as \s would definitely make sense.  But it also
> sounds a bit confusing.  :-/  Could we ... use a different background
> colour on the space to indicate that it's there?  I guess that's not all
> that easy to interpret, either...

I don't think that a different background colour will be much of a
gain.  It will just look like the widget has a different background
color...After editing the widget it might be easier to interpret what's
going on, but then again the same can be said with the current state.